INPUT "Phrase"; Phrase$
INPUT "Password"; Password$
 
Encrypted$ = Encrypt$(Phrase$, Password$)
Decrypted$ = Encrypt$(Encrypted$, Password$)
 
PRINT "   Phrase: "; Phrase$
PRINT "Encrypted: "; Encrypted$
PRINT "Decrypted: "; Decrypted$
 
 
FUNCTION Encrypt$(Phrase$, Password$) PUBLIC
 
  x1% = 1  ' the current position in the password
 
  FOR x2% = 1 TO LEN(Phrase$)  ' loop through the phrase
    c1% = ASCII(MID$(Phrase$, x2%, 1))
    c2% = ASCII(MID$(Password$, x1%, 1))
    c3% = c1% XOR c2%  ' perform the substitution
    Encrypted$ = Encrypted$ + CHR$(c3%)
    INCR x1%  ' increment position in the password
    IF x1% > LEN(Password$) THEN  ' if were at the end of the
      x1% = 1  ' password, reset the position to the beginning
    END IF
  NEXT x2%
 
  Encrypt$ = Encrypted$
 
END FUNCTION
